/* :root {
    --primary: #d2bba2;
    --secondary: #555253;
    --tertiary: #e8e7e3;
} */

#wpadminbar {
    z-index: 1;
}

/* styles.css */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

::selection {
    background-color: var(--secondary);
    color: var(--primary);
}

::-moz-selection {
    /* Code for Firefox */
    background-color: var(--secondary);
    color: var(--primary);
}

html {
    scroll-behavior: smooth;
    scroll-snap-type: y mandatory;
    scrollbar-color: var(--secondary) var(--tertiary);
    scrollbar-width: thin;
}

body {
    font-family: Arial, sans-serif;
    line-height: 1.6;
    background-color: var(--primary);
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.scroll-page {
    /* scroll-snap-align: start; */
}

.not-scroll-page>.scroll-page {
    scroll-snap-align: unset;
}

.section {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

/* .section-max {
    height: 100vh;
} */

.section-max {
    min-height: 100vh;
    height: fit-content;
}

.section:nth-child(even) {
    background-color: var(--secondary);
    color: var(--primary);
}

.section:nth-child(odd) {
    background-color: var(--primary);
    color: var(--secondary);
}

.section:nth-child(even) ::selection {
    background-color: var(--primary);
    color: var(--secondary);
}

.section:nth-child(odd) ::selection {
    background-color: var(--secondary);
    color: var(--primary);
}

#slogan-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 100vh;
    width: 100%;
}

.container {
    flex: 1;
    width: 90%;
    padding-block: 5rem;
    display: flex;
    flex-direction: column;
    height: 100%;
}

.container h1 {
    width: 100%;
    text-align: left;
}

.header {
    width: 100%;
}

.header-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--secondary);
    padding: 10px 20px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.25);
}

.header-nav .logo {
    font-size: 1.5rem;
    /* color: var(--primary); */
}

.navbar a {
    margin: 0 10px;
    text-decoration: none;
    /* color: var(--primary); */
}

#slogan {
    text-align: left;
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 1vw;
    height: 100%;
}

#slogan h1 {
    font-size: 2.5rem;
}

#slogan-content {
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

#slogan-content p {
    padding-block: 5%;
    text-align: justify;
}

#slogan-content h1 {
    display: inline-block;
    text-align: left;
}

.hero-image {
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.hero-image a {
    /* height: auto; */
}

.hero-image img {
    height: auto;
    width: 100%;
    max-width: 40rem;
    background: var(--primary);
}

#services {
    padding-bottom: 0;
}

#szolgaltatasok {}

#services h1 {
    color: var(--tertiary);
}

.section:nth-child(odd) #services h1 {
    color: var(--secondary);
}

.service-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    padding: 1rem;
    height: 100%;
    overflow-y: scroll;
    scrollbar-width: none;
}

.service-box {
    color: var(--secondary);
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: calc(100% / 3);
    min-width: 300px;
    min-height: 300px;
    margin: 1rem auto;
    position: relative;
}

.flip-card {
    perspective: 1000px;
}

.flip-card-inner {
    position: relative;
    height: 100%;
    width: auto;
    min-width: 300px;
    transition: transform 0.6s;
    transform-style: preserve-3d;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 30px;
    display: flex;
}

.service-box.flip-card:hover .flip-card-inner {
    transform: rotateY(180deg);
}

.flip-card-front,
.flip-card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    border-radius: inherit;
}

/* Első oldal */
.flip-card-front {
    background-color: var(--tertiary);
    display: flex;
    flex-direction: column;
}

.section:nth-child(odd) .flip-card-front {
    background-color: var(--secondary);
}

.section:nth-child(odd) .flip-card-front .service-name {
    color: var(--tertiary);
}

.flip-card-front .icon {
    height: 80%;
    overflow: hidden;
}

.flip-card-front .icon a,
.flip-card-front .icon img {
    display: block;
    width: 100%;
    border-top-left-radius: 30px;
    border-top-right-radius: 30px;
}

.flip-card-front .icon img {
    height: 100%;
    object-fit: cover;
}

/* Első oldal: leírás – 20% magasság */
.flip-card-front .description {
    height: 20%;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Második oldal */
.flip-card-back {
    transform: rotateY(180deg);
    /* Háttér szín helyett itt a tiszta var(--tertiary) lesz, de opcionálisan beállítható a háttérkép is */
    background-color: var(--tertiary);
    display: flex;
    align-items: flex-start;
    justify-content: center;
}

.section:nth-child(odd) .flip-card-back {
    background-color: var(--secondary);
}

/* Második oldal tartalom: enyhén átlátszó háttér az olvashatóságért */
.flip-card-back .description {
    background-color: var(--tertiary);
    padding: 1rem;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    overflow-y: auto;
    text-align: center;
    border-radius: 30px;
}

.section:nth-child(odd) .flip-card-back .description {
    background-color: var(--secondary);
    color: var(--tertiary);
}

/* Tartalmi elrendezés a második oldalon */
.service-box .description .description-title {
    height: 20%;
}

.service-box .description .description-content {
    height: 60%;
    overflow-x: scroll;
    scrollbar-width: none;
    padding-block: .5rem;
}

.service-box .description .description-button {
    height: 10%;
    display: flex;
    justify-content: center;
}

/* Tipográfia és gombok */
.service-box .service-name {
    text-align: center;
    font-weight: bold;
}

.service-box .service-price {
    font-style: italic;
    text-align: center;
}

.service-box .service-description {
    text-align: justify;
}

.service-box .description ol {
    text-align: justify;
    list-style-position: inside;
}

.service-box .description ol li {
    width: 100%;
    padding: 0 0.5rem;
}

.service-btn {
    align-self: flex-end;
    background-color: var(--secondary);
    border: 1px solid var(--secondary);
    transition: all 0.25s ease-in-out;
    text-align: center;
    margin-top: auto;
}

.section:nth-child(odd) .service-btn {
    background-color: var(--tertiary);
    border: 1px solid var(--tertiary);
}

.service-btn a {
    color: var(--tertiary);
    text-decoration: none;
}

.section:nth-child(odd) .service-btn a {
    color: var(--secondary);
}

.service-btn:hover {
    background-color: var(--tertiary) !important;
    box-shadow: 0 0 10px 1px var(--secondary);
    cursor: pointer;
}

.section:nth-child(odd) .service-btn:hover a {
    color: var(--tertiary) !important;
}

.section:nth-child(odd) .service-btn:hover {
    background-color: var(--secondary) !important;
    box-shadow: 0 0 10px 1px var(--tertiary);
    cursor: pointer;
}

.service-btn:hover a {
    color: var(--secondary) !important;
}

/* Reszponzív beállítások mobilra */
@media (max-width: 600px) {
    .service-box {
        width: 90vw;
        height: 90vw;
        /* Megőrzi az arányt, így négyzet marad */
        margin: 1rem auto;
    }
}

.cta-btn {
    background-color: var(--secondary);
    color: var(--primary);
    text-decoration: none;
    transition: all 0.25s ease-in-out;
    border: 1px solid var(--secondary) !important;
    width: 20rem !important;
    border-radius: 10px !important;
    text-transform: uppercase;
}

.cta-btn:hover {
    background-color: var(--primary) !important;
    color: var(--secondary) !important;
    box-shadow: 0 0 10px 1px var(--secondary);
    cursor: pointer;
}

/* #references {} */

.reference-container {
    flex: 1;
    display: flex;
    flex-wrap: wrap-reverse;
    gap: 5rem;
}

.reference-stuffs {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    flex: 3;
    min-width: 400px;
    text-align: justify;
}

.reference-stuffs p {
    /* font-weight: bold; */
    padding-block: 4.5rem;
    /* padding-right: 1rem; */
}

.reference-gallery {
    display: flex;
    flex: 7;
    min-width: 600px;
    flex-wrap: wrap;
}

.reference-gallery-group {
    flex: 1;
    height: 100%;
    min-width: 100px;
}

.reference-gallery-group img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: 30px;
    /* animation: zoom-in-zoom-out .5s ease; */
    transition: transform .5s ease-in-out;
    padding: 5px;
}

.reference-gallery-group img:hover {
    transform: scale(1.05);
}

#reference-gallery-group-1 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
    align-items: flex-end;
    flex: 30%;
}

#reference-gallery-group-2 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
    flex: 40%;
}

#reference-gallery-group-3 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
    flex: 30%;
}

#reference-gallery-group-2-1 {
    display: flex;
    gap: 10px;
    height: 100%;
    align-items: flex-end;
    justify-content: space-between;
}

#reference-gallery-group-2-2 {
    display: flex;
    gap: 10px;
    height: 100%;
    align-items: flex-start;
    justify-content: space-between;
}

#reference-gallery-group-1 .gallery-item {
    width: 100%;
    height: auto;
}

#reference-gallery-group-3 .gallery-item {
    width: 100%;
    height: auto;
}

#reference-gallery-group-2-1 .gallery-item:first-child {
    display: flex;
    flex: 70%;
    width: 100%;
    height: auto;
}

#reference-gallery-group-2-1 .gallery-item:last-child {
    display: flex;
    flex: 30%;
    width: 100%;
    height: auto;
}

#reference-gallery-group-2-2 .gallery-item:first-child {
    display: flex;
    flex: 30%;
    width: 100%;
    height: auto;
}

#reference-gallery-group-2-2 .gallery-item:last-child {
    display: flex;
    flex: 70%;
    width: 100%;
    height: auto;
}

.gallery-item {
    /* width: 100px;
    height: 100px; */
    /* background: var(--primary); */
    /* border-radius: 30px; */
}

.gallery-item img {
    aspect-ratio: 1 / 1;
}

.btn {
    border: none;
    width: 15rem;
    padding: 1rem 2rem;
    border-radius: 10px;
    text-transform: uppercase;
}

.gallery-btn {
    background: var(--secondary);
    color: var(--primary);
    border: 1px solid var(--secondary) !important;
    transition: all 0.25s ease-in-out;
}

.gallery-btn:hover {
    background-color: var(--primary) !important;
    color: var(--secondary) !important;
    box-shadow: 0 0 10px 1px var(--secondary);
    cursor: pointer;
}

.section:nth-child(even) .gallery-btn {
    background: var(--primary);
    color: var(--secondary);
    border: 1px solid var(--primary) !important;
    transition: all 0.25s ease-in-out;
}

.section:nth-child(even) .gallery-btn:hover {
    background-color: var(--secondary) !important;
    color: var(--primary) !important;
    box-shadow: 0 0 10px 1px var(--primary);
    cursor: pointer;
}

#contact {
    /* width: 100%; */
    /* justify-content: center; */
    /* flex-direction: row; */
}

#contact-container {
    width: 100%;
    min-height: 100%;
    display: flex;
    flex-wrap: wrap;
}

#contact-information-container {
    display: flex;
    /* align-items: center; */
    justify-content: center;
    /* background-color: var(--primary); */
    color: var(--primary);
    /* color: var(--secondary); */
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
    flex: 1;
    min-width: 300px;
}

.section:nth-child(odd) #contact-information-container {
    background-color: var(--primary);
    color: var(--secondary) !important;
}

#contact-information {
    background-color: var(--primary);
    color: var(--secondary);
    height: 90%;
    width: 80%;
    padding-bottom: 1rem;
}

.section:nth-child(odd) #contact-information {
    background-color: var(--secondary);
    color: var(--primary);
}

#contact-information-container>* ::selection {
    background-color: var(--primary) !important;
    color: var(--secondary) !important;
}

.section:nth-child(odd) #contact-information-container ::selection {
    color: var(--primary) !important;
    background-color: var(--secondary) !important;
}

#contact-information h2 {
    padding-bottom: 1rem;
}

#contact-information p {
    font-weight: bold;
    padding-bottom: 1rem;
    text-align: justify;
}

#contact-information ul {
    list-style-position: inside;
    list-style-type: square;
}

#contact-information ul li::marker {
    color: var(--secondary);
}

#contact-information ul li {
    font-weight: bold;
}

#contact-form-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1 1 200px;
    min-width: 300px;
    padding: .5em;
    /* height: 100%; */
}

.section:nth-child(odd) #contact-information-container {
    /* background-color: var(--secondary); */
    color: var(--primary);
    /* color: var(--primary); */
}

#contact-form-container ::selection {
    background-color: var(--secondary);
    color: var(--tertiary);
}

#contact-form {
    width: 55%;
    min-width: 300px;
    height: 100%;
    /* Boríték-szerű háttérkép; cseréld ki a URL-t a saját képedre, ha szükséges */
    background: var(--tertiary);
    background-size: cover;
    padding: 2rem;
    /* Megfelelő belső margó a tartalomnak */
    border-radius: 10px;
    /* Lekerekített sarkok a lágyabb megjelenésért */
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.25);
}

#response-message {
    text-align: center;
    color: var(--secondary);
}

#contact-radio {
    display: flex;
}

#contact-checkbox {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
}

.checkbox-group {
    display: flex;
    gap: 5px;
}

.checkbox-group input {
    accent-color: var(--secondary);
}

#contact-radio .radio-group {
    width: 50%;
    display: flex;
}

#contact-radio .radio-group .radio-group-input {
    height: 100%;
    padding-right: 5px;
}

#contact-radio .radio-group .radio-group-input input {
    accent-color: var(--secondary);
}

#contact-form form {
    display: flex;
    /* height: 100%; */
    flex-direction: column;
    /* Biztosítja, hogy a gyermekelemek 3D-ben legyenek renderelve */
    transform-style: preserve-3d;
    transition: box-shadow 0.3s ease;
    justify-content: space-evenly;
}

#contact-form form label {
    color: var(--secondary);
}

/* section:nth-child(odd) #contact-form form label {
    color: var(--secondary);
} */

#contact-form form input,
#contact-form form textarea {
    margin-bottom: 1rem;
    padding: .5rem;
    background: var(--secondary);
    color: var(--tertiary);
    border: none;
    border-radius: 10px;
}

#contact-form form textarea::selection {
    background: var(--tertiary) !important;
    color: var(--secondary) !important;
}

section:nth-child(odd) #contact-form form input,
section:nth-child(odd) #contact-form form textarea {
    /* background: var(--secondary);
    color: var(--tertiary); */
}

.contact-form-btn {
    background-color: var(--secondary) !important;
    color: var(--tertiary) !important;
    border: 1px solid var(--tertiary) !important;
    border-radius: 0px;
    transition: all 0.25s ease-in-out;
    width: 100%;
    padding-block: 5% !important;
}

section:nth-child(odd) .contact-form-btn {
    background-color: var(--secondary) !important;
    color: var(--tertiary) !important;
    border: 1px solid var(--secondary) !important;
    border-radius: 0px;
    transition: all 0.25s ease-in-out;
}

textarea {
    resize: vertical;
    max-height: 30vh;
}

.contact-form-btn:hover {
    background-color: var(--tertiary) !important;
    color: var(--secondary) !important;
    border: 1px solid var(--secondary) !important;
    box-shadow: 0 0 10px 1px var(--tertiary);
    cursor: pointer;
}

section:nth-child(odd) .contact-form-btn:hover {
    box-shadow: 0 0 10px 1px var(--secondary);
}

.quote-section {
    /* padding: 50px 20px; */
    width: 100%;
}

.quote-container {
    margin: 0 auto;
    /* padding: 30px; */
    border-radius: 15px;
    width: 100%;
}

.quote-container ::selection {
    color: var(--primary) !important;
    background-color: var(--secondary) !important;
}

.quote-container h2 {
    margin-bottom: 2rem;
    /* text-transform: uppercase; */
    letter-spacing: 1px;
}

.quote-container p {
    line-height: 1.6;
    /* text-indent: 15px; */
    text-align: justify;
}

.quote-container p:first-of-type {
    margin-top: 2rem;
}

.quote-container p:last-of-type {
    margin-bottom: 2rem;
}

.quote-container ul {
    list-style: none;
    padding: 0;
    margin: 20px 0;
}

.quote-container ul li {
    position: relative;
    padding-left: 25px;
    margin-bottom: 10px;
}

.quote-container ul li::before {
    content: "✔";
    position: absolute;
    left: 0;
    color: var(--primary) !important;
}

.section:nth-child(even) .quote-container ul li::before {
    color: var(--secondary);
}

@media (max-width: 600px) {
    .quote-container {
        padding: 20px;
    }

    .quote-container h2 {
        font-size: 1.5em;
    }
}

main {
    flex: 1;
    height: 100vh;
}

/* Alapértelmezett stílusok a footer számára */
.footer {
    background: var(--primary);
    color: var(--secondary);
    padding: 2em;
    /* font-family: 'Roboto', sans-serif; */
    scroll-snap-stop: normal;
}

.footer-col {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* A felső rész: céginformáció, szolgáltatások, navigáció és elérhetőségek */
.footer-top {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 2em;
    padding-bottom: 2em;
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}

.footer-top>div {
    flex: 1 1;
}

/* Címek, bekezdések és listák stílusa */
.footer h3 {
    margin-bottom: 0.5em;
    font-size: 1.2em;
    text-transform: uppercase;
    letter-spacing: 0.05em;
}

.footer p {
    margin: 0.3em 0;
    text-align: center;
    font-size: 0.9em;
}

.footer ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.footer ul li {
    margin: 0.3em 0;
    text-align: center;
}

/* Linkek */
.footer a {
    color: var(--secondary);
    text-decoration: none;
    transition: color 0.3s ease;
}

.footer a:hover {
    color: var(--secondary);
    text-decoration: underline;
}

/* Közösségi média rész */
.footer-social {
    /* margin-top: 0.5em; */
    /* text-align: center; */
    /* margin-bottom: 2em; */
}

.footer-social ul {
    display: flex;
    gap: 1em;
    padding: 0;
    justify-content: center;
    list-style: none;
}

.footer-social ul li a {
    font-size: 1.5em;
    display: inline-block;
}

/* Hírlevél-feliratkozás */
.footer-newsletter {
    text-align: center;
    margin-block: 2em;
}

.footer-newsletter form {
    display: flex;
    justify-content: center;
    gap: 0.5em;
    margin-top: 1em;
}

.footer-newsletter input[type="email"] {
    padding: 0.5em;
    border: none;
    border-radius: 4px;
    width: 200px;
}

.footer-newsletter button {
    padding: 0.5em 1em;
    border: none;
    background: var(--secondary);
    border: 1px solid var(--secondary);
    color: var(--primary);
    border-radius: 4px;
    cursor: pointer;
    transition: background 0.3s ease;
}

.footer-newsletter button:hover {
    background: var(--primary);
    border: 1px solid var(--secondary);
    color: var(--secondary);
}

/* Alsó rész: jogi linkek, copyright, vissza a tetejére gomb */
.footer-bottom {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 1em;
    padding-top: 1em;
    font-size: 0.8em;
    text-align: center;
}

/* Vissza a tetejére gomb */
.back-to-top {
    padding: 0.5em 1em;
    background: var(--secondary);
    color: var(--primary) !important;
    border: 1px solid var(--secondary);
    border-radius: 4px;
    text-decoration: none !important;
    transition: background 0.3s ease;
}

.back-to-top:hover {
    background: var(--primary);
    color: var(--secondary) !important;
    border: 1px solid var(--secondary);

}

.footer .social-icons img {
    width: 40px;
    height: auto;
}

/* Reszponzív beállítások */
@media (max-width: 768px) {
    .footer-top {
        flex-direction: column;
        align-items: center;
    }

    .footer-bottom {
        flex-direction: column;
    }
}

/*
   Menu
*/

.header-menu {
    list-style: none;
    display: flex;
    gap: 20px;
    padding: 0;
    margin: 0;
}

.header-menu .menu-item {
    position: relative;
}

.header a {
    text-decoration: none;
    color: var(--primary);
    font-weight: bold;
}

.header-menu a::after {
    content: '';
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: var(--primary);
    transition: transform 0.25s ease-out;
}

.header-menu a:hover::after {
    transform: scaleX(1);
}

.header-menu .menu-item-has-children:hover .sub-menu {
    display: block;
}

.sub-menu {
    list-style: none;
    position: absolute;
    top: 100%;
    left: 0;
    display: none;
    background: var(--primary);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    padding: 10px;
}

.sub-menu .menu-item {
    margin: 0;
}

.sub-menu a {
    color: var(--secondary);
    font-weight: normal;
}

.header-logo {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}

.header-logo a {
    display: flex;
    align-items: center;
}

.header-logo img {
    height: auto;
    max-width: 50px;
}

.menu-toggle {
    display: none;
}

.img-shadow {
    box-shadow: 20px 20px 0px 0px var(--primary);
    border-radius: 30px;
}

.gallery-main {
    height: unset;
}

.gallery-main .section {
    height: unset;
}

#gallery-container {
    padding-block: 1rem;
}

#gallery-container h2 {
    margin-bottom: 1rem;
    width: 100%;
}

.category-header {
    display: flex;
    justify-content: space-between;
}

.category-header:has(h2) {
    border-bottom: 2px solid var(--secondary);
}

.gallery-row {
    display: flex;
    flex-direction: row;
    gap: 10px;
    padding: .5rem;
    justify-content: flex-start;
    height: 300px;
    /* max-width: 100%; */
    overflow-x: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
    text-align: center;
}

/* Gallery sor beállításai: relative pozícionálás, hogy az absolute elemek helyzete ehhez viszonyítva legyen */

/* Scroll indikátor konténer: a jobb szélén elhelyezve */
.scroll-indicator-standing {
    display: none;
    position: absolute;
    top: 0;
    right: 0;
    width: 5px;
    /* állítsd be a kívánt szélességre */
    height: 100%;
    /* background: rgba(0, 0, 0, 0.1); */
    background: rgba(0, 0, 0, 0.1);
    /* halvány háttérszín, hogy látszódjon */
    pointer-events: none;
    /* ne akadályozza a kattintásokat */
}

/* A progress elem, amely a scroll mértékét jelzi */
.scroll-indicator-standing .progress {
    position: absolute;
    bottom: 0;
    /* az elejétől felfelé nő a magassága */
    right: 0;
    width: 100%;
    height: 100%;
    /* alapértelmezetten 0; JS-ben frissíted a megfelelő százalékra */
    background: var(--secondary);
    /* a kívánt szín, pl. narancssárga */
    transition: height 0.3s ease;
    /* sima átmenet a változásokhoz */
}

/* .gallery-container:has(.gallery-row-grid) .gallery-row {
    height: unset;
} */

.gallery-row-grid {
    flex-wrap: wrap !important;
    justify-content: center !important;
    height: unset !important;
    /* min-height: calc(3 * 300px); */

    position: relative !important;
    overflow-x: auto !important;
    /* ha vízszintes scrollozás szükséges */
    padding-right: 20px;
    /* hely a scroll indikátornak */
    max-height: 500px !important;
}

.gallery-container:has(:not(.gallery-row-grid)) .scroll-indicator {
    display: none !important;
}

.gallery-container:has(:not(.gallery-row-grid)) .scroll-indicator-standing {
    display: block !important;
}

.gallery-container:not(:has(.gallery-row-grid)) .scroll-indicator {
    display: block !important;
}

.gallery-container:not(:has(.gallery-row-grid)) .scroll-indicator-standing {
    display: none !important;
}

.gallery-row a {
    display: block;
    /* overflow: hidden; */
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    min-width: 300px;
}

.gallery-row a:hover {
    transform: scale(1.05);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2);
}

.gallery-row img {
    display: block;
    /* object-fit: cover; */
    object-fit: contain;
    border-radius: 10px;
    height: 100%;
    width: 300px;
}

.gallery-row-grid img {
    display: block;
    /* object-fit: cover; */
    object-fit: contain;
    border-radius: 10px;
    height: 300px;
    width: 300px;
}

#empty-msg {
    text-align: center;
    padding: 1rem;
    color: var(--secondary);
}

.category-block {
    display: flex;
    flex-direction: column;
}

.category-block .sub-category {
    margin-top: 2rem;
}

.sub-category:not(.sub-category-1) {
    padding-inline: 10%;
}

.sub-category:not(.sub-category-1) h3 {
    font-size: medium;
    /* text-align: center; */
}

.sub-category:not(.sub-category-1) .gallery-row {
    height: 200px;
    /* justify-content: center; */
}

.sub-category:not(.sub-category-1) .gallery-row a {
    min-width: 200px;
}

.sub-category:not(.sub-category-1) .gallery-row img {
    width: 200px;
}

.load-more {
    display: inline-flex;
    align-items: center;
    background-color: var(--secondary);
    /* Egyszerű, egyszínű háttér */
    color: var(--primary);
    border: 2px solid var(--secondary);
    border-radius: 30px;
    padding: 10px 20px;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    transition: background-color 0.3s ease, color 0.3s ease, box-shadow 0.3s ease;
    outline: none;
    text-decoration: none;
}

.load-more:hover {
    background-color: var(--primary);
    color: var(--secondary);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
}

.load-more .button-icon {
    margin-right: 8px;
    width: 20px;
    height: 20px;
    fill: currentColor;
}

.ajax-pagination {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    max-width: 100%;
}

.ajax-pagination a {
    flex: 0 0 100px;
    color: var(--secondary);
    text-decoration: none;
    /* font-size: 16px; */
    /* font-weight: 600; */
    border-radius: 15px;
    transition: all 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.ajax-pagination a:hover:not(.disabled) {
    transform: scale(1.05);
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.15);
}

.ajax-pagination span {
    flex: 0 0 80px;
    /* fix szélesség a középső számnak */
    text-align: center;
    font-size: 16px;
    font-weight: 600;
    line-height: 50px;
    display: inline-block;
}

.ajax-pagination a.disabled {
    visibility: hidden;
    pointer-events: none;
}

.gallery-container {
    position: relative;
    width: 100%;
}

.gallery-row {
    display: flex;
    overflow-x: auto;
    white-space: nowrap;
    scroll-behavior: smooth;
    padding-bottom: 10px;
    /* Hely a progress bar-nak */
}

.gallery-row a {
    flex-shrink: 0;
    margin-right: 10px;
}

.scroll-indicator {
    display: none;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 5px;
    background: rgba(0, 0, 0, 0.1);
}

.progress {
    height: 100%;
    width: 0%;
    background: var(--secondary);
    transition: width 0.1s ease-out;
}

/* .toggle-grid::before {

} */

.toggle-grid-grid::before {
    content: "";
    display: inline-block;
    width: 20px;
    /* Állítsd be a kívánt szélességet */
    height: 20px;
    /* Állítsd be a kívánt magasságot */
    /* background-image: url('https://i.kek.sh/pD63W1qN0ok.png'); */
    background-size: contain;
    /* vagy cover, ha más megjelenésre vágysz */
    background-repeat: no-repeat;
    vertical-align: middle;
    background-image: url('https://i.kek.sh/pD63W1qN0ok.png');
}

.toggle-grid-row::before {
    content: "";
    display: inline-block;
    width: 20px;
    /* Állítsd be a kívánt szélességet */
    height: 20px;
    /* Állítsd be a kívánt magasságot */
    /* background-image: url('https://i.kek.sh/pD63W1qN0ok.png'); */
    background-size: contain;
    /* vagy cover, ha más megjelenésre vágysz */
    background-repeat: no-repeat;
    vertical-align: middle;
    background-image: url('https://i.kek.sh/WormYrMOp4H.png');
}

/* Toggle gomb alapstílus */
.toggle-grid {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    margin-left: 10px;
    padding: 0;
    border: none;
    border-radius: 50%;
    background-color: var(--primary);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    transition: background-color 0.3s, transform 0.2s;
}

/* Hover állapot */
.toggle-grid:hover {
    background-color: var(--secondary);
    transform: scale(1.05);
}

/* Focus állapot a billentyűzetes navigációhoz */
.toggle-grid:focus {
    outline: none;
    box-shadow: 0 0 0 3px rgba(0, 0, 0, 0.1);
}

.about-content {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    max-width: 1200px;
    /* A teljes container maximális szélessége */
    margin: 0 auto;
    /* Középre igazítás */
    /* height: calc(90vh / 3); */
    /* height: 15rem; */
    /* max-height: 300px; */
}

/* Általános elrendezés desktopon */
.about-content:nth-child(odd) {
    flex-direction: row-reverse;
}

.about-p {
    flex: 1 1 70%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding: 0.5rem;
    height: 100%;
}

.about-content:nth-child(even) .about-p {
    padding-left: 0;
}

.about-content:nth-child(odd) .about-p {
    justify-content: flex-start;
    padding-right: 0;
}

.about-p p {
    width: 100%;
    text-align: justify;
}

.about-img {
    flex: 1 1 30%;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 300px;
    justify-content: flex-end;
    height: 100%;
    /* max-height: 300px; */
    /* Képek maximális szélessége */
}

.about-content:nth-child(odd) .about-img {
    justify-content: flex-start;
}

.about-img img {
    max-width: 100%;
    /* max-width: 300px; */
    object-fit: cover;
    border-radius: 15px;
    max-height: 100%;
}

.marquee {
    width: 100%;
    overflow: hidden;
    padding-top: 5%;
}

.marquee-content {
    display: flex;
    width: 500%;
    /* A folyamatos görgetéshez */
    animation: marquee 40s linear infinite;
    overflow: hidden;
}

.marquee span {
    /* flex: 1; */
    margin-inline: 3rem;
    text-align: center;
    white-space: nowrap;
    /* padding: 10px 15px;
    border: 1px solid var(--secondary);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 15px;
    transition: all ease-in-out 0.25s; */
}

/* .marquee span:hover {
    background-color: var(--secondary);
    color: var(--primary);
} */

.marquee:hover .marquee-content {
    -webkit-animation-play-state: paused;
    /* Safari 4.0 - 8.0 */
    animation-play-state: paused;
}

.counter-wrapper {
    margin-bottom: 40px;
}

.counter-number {
    font-size: 3em;
    font-weight: bold;
}

.counter-text {
    font-size: 1.2em;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.section#rolunkmondtak h2 {
    /* font-size: 2rem;
    margin-bottom: 40px;
    text-align: center; */
}

.testimonial-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 40px;
    margin: 0 auto;
}

.testimonial-card {
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.07);
    width: 300px;
    max-width: 100%;
    padding: 30px 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    position: relative;
    background-color: var(--tertiary);
}

.testimonial-card:hover {
    transform: translateY(-4px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.1);
}

.testimonial-image {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    overflow: hidden;
    margin-bottom: 15px;
    /* border: 1px solid var(--secondary); */
    /* background-color: var(--tertiary); */
    /* transform: translateY(-100%); */
}

.testimonial-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.testimonial-quote {
    font-size: 1rem;
    color: var(--secondary);
    line-height: 1.5;
    margin-bottom: 20px;
    text-align: center;
    position: relative;
    /* padding: 0 10px; */
}

/* .testimonial-quote::before {
    content: "“";
    font-size: 2rem;
    color: var(--secondary);
    position: absolute;
    left: 0;
    top: -5px;
}

.testimonial-quote::after {
    content: "”";
    font-size: 2rem;
    color: var(--secondary);
    position: absolute;
    right: 0;
    bottom: -10px;
} */

.testimonial-name {
    font-weight: bold;
    font-size: 1.1rem;
    margin-bottom: 5px;
}

.testimonial-title {
    font-size: 0.95rem;
    margin-bottom: 10px;
    text-align: center;
}

.text-center {
    text-align: center;
}

.legal .container {
    max-width: 800px;
    padding: 20px;
    font-family: Arial, sans-serif;
    line-height: 1.6;
}

.footer-bottom .legal-links {
    display: flex;
    gap: 1em;
    list-style: none;
    padding: 0;
    margin: 0;
}

.legal .container h1 {
    text-align: center;
}

.legal .container h2 {
    margin-top: 20px;
    /* text-align: center; */
}

.legal .container p {
    margin-bottom: 10px;
}

.legal .container p,
.legal .container ul {
    margin-bottom: 15px;
}

.legal .container ul {
    padding-left: 20px;
}

.gdpr-consent {
    accent-color: var(--secondary);
}

.gdpr-consent a {
    color: var(--secondary);
}

/* Animáció */
@keyframes marquee {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}

@keyframes zoom-in-zoom-out {
    0% {
        scale: 0%
    }

    25% {
        scale: 5%;
    }

    100% {
        scale: 100%;
    }
}